package com.game.abs;

import org.anddev.andengine.entity.sprite.Sprite;
import org.anddev.andengine.opengl.texture.region.TextureRegion;

import com.qwerjk.andengine.entity.sprite.PixelPerfectSprite;
import com.qwerjk.andengine.opengl.texture.region.PixelPerfectTextureRegion;
import com.qwerjk.andengine.opengl.texture.region.PixelPerfectTiledTextureRegion;

public abstract class cGame_Shoot extends PixelPerfectSprite 
{
	public cGame_Shoot(float pX, float pY, float pWidth, float pHeight,PixelPerfectTextureRegion pTextureRegion) {
		super(pX, pY, pTextureRegion);
		
	}
	// PROPERTIES
	public boolean is_deleted=false; 
	
	// METHODS 
	public abstract void destroy();
	public abstract void explosion();
	
}
